Bug 969668 - fedup: Upgrade fails because of "Cannot change data mode on remount"
fedup: Upgrade fails because of "Cannot change data mode on remount"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 13:00 EDT by Thomas Meyer
Modified: 2014-02-05 16:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:37:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Meyer 2013-06-01 13:00:09 EDT
Description of problem:
I just tried to upgrade from Fedora 18 to Fedora 19 Beta via fedup and an ISO image.

The upgrade process fails because in my /etc/fstab I mount the root fs (ext4) with the option "data=writeback".

This results in this error in the upgrade process:
Jun 01 16:28:25 localhost.localdomain systemd[1]: Starting Remount Root and Kernel File Systems...
Jun 01 16:28:25 localhost.localdomain systemd-udevd[321]: starting version 201
Jun 01 16:28:25 localhost.localdomain kernel: EXT4-fs (sda3): Cannot change data mode on remount
Jun 01 16:28:25 localhost.localdomain systemd-remount-fs[340]: mount: / not mounted or bad option
Jun 01 16:28:25 localhost.localdomain systemd-remount-fs[340]: In some cases useful info is found in syslog - try
Jun 01 16:28:25 localhost.localdomain systemd-remount-fs[340]: dmesg | tail or so
Jun 01 16:28:25 localhost.localdomain systemd-remount-fs[340]: /bin/mount for / exited with exit status 32.
Jun 01 16:28:25 localhost.localdomain systemd[1]: systemd-remount-fs.service: main process exited, code=exited, status=1/FAILURE

Btw. I had to unpack the initramfs to find the several rd.upgrade.xxx options... Is there somewhere an description of all these options?

The wiki site of FedUp still seems to miss the debug infos...

After removing the data=writeback option the upgrade works as excpeted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. add a "data=writeback" option to your root fs and try to upgrade via fedup
2.
3.

Actual results:
Upgrade starts and fails, system restarts into the current Fedora version.

Expected results:
Upgrade to the next Fedora version.

Additional info:
Comment 1 Jeff Raber 2013-07-03 00:15:59 EDT
Just ran into this while doing an upgrade from F18 to f19 via 'fedup-cli --network 19'

After booting into the 'Upgrade' boot option, I got the message "Failed to start Remount Root and Kernel File Systems".  The boot process continued, but the install eventually faild (without giving any indication as to why) and the computer rebooted.  On reboot, the "Upgrade" boot option was gone, but I was still running f18.  Repeating the 'fedup-cli --network 19' command showed that the downloaded files were not deleted (thankfully).

I did this 4-5 times before finding the same solution as noted in comment 1
Comment 2 Thomas Meyer 2013-07-08 17:29:53 EDT
is anybody even looking at this bugzilla?
Comment 3 Roman Mäder 2013-10-19 12:48:43 EDT
The exact same thing happened to me after updating my kernel in a Fedora 18 system. Up until kernels 3.10.12-100.fc18.x86_64 everything worked despite me having data=writeback in my /etc/fstab for the root fs.
With kernel 3.11.4-101.fc18.x86_64 the startup failed prior to reaching multi-user mode. Analyzing the dracut logs (journalctl -xb) showed:

Oct 19 17:03:14 ariel.mathconsult.ch systemd-remount-fs[520]: mount: / not mounted or bad option
Oct 19 17:03:14 ariel.mathconsult.ch systemd-remount-fs[520]: In some cases useful info is found in syslog - try
Oct 19 17:03:14 ariel.mathconsult.ch systemd-remount-fs[520]: dmesg | tail or so
Oct 19 17:03:14 ariel.mathconsult.ch systemd-remount-fs[520]: /bin/mount for / exited with exit status 32.
Oct 19 17:03:14 ariel.mathconsult.ch kernel: EXT4-fs (dm-1): Cannot change data mode on remount
Oct 19 17:03:14 ariel.mathconsult.ch kernel: EXT4-fs (dm-2): re-mounted. Opts: data=writeback,discard
Oct 19 17:03:14 ariel.mathconsult.ch systemd[1]: systemd-remount-fs.service: main process exited, code=exited, status=1/FAILURE

Neither the old nor the new initramfs contained a copy of my fstab. I don't know what changed. Removing the data= setting in fstab works, but the root is now mounted with data=ordered (no big deal). I'll try to change the default mount options in the superblock.

There's a flurry of results for this error message in various linux forums in 2011. Strange that this no reappears in Fedora 18.

Roman
Comment 4 Fedora End Of Life 2013-12-21 08:48:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:37:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.